com.fasterxml.jackson.dataformat.xml

## Class XmlAnnotationIntrospector.JaxbWrapper

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.XmlAnnotationIntrospector.JaxbWrapper

All Implemented Interfaces:
  XmlAnnotationIntrospector

Enclosing interface:
  XmlAnnotationIntrospector

    public static class XmlAnnotationIntrospector.JaxbWrapper
    extends Object
    implements XmlAnnotationIntrospector

Wrapper we need to adapt `JaxbAnnotationIntrospector` as `XmlAnnotationIntrospector`: something we can not (alas!) do in JAXB module because of dependency direction (JAXB module has no knowledge of this module).

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.dataformat.xml.XmlAnnotationIntrospector

`XmlAnnotationIntrospector.JaxbWrapper, XmlAnnotationIntrospector.Pair`

### Field Summary

Fields
`protected com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector` `_intr`

### Constructor Summary

Constructors
Constructor and Description
`XmlAnnotationIntrospector.JaxbWrapper(com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector i)`

### Method Summary

Methods
`String` `findNamespace(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method that can be called to figure out generic namespace property for an annotated object.
`Boolean` `isOutputAsAttribute(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (as element)
`Boolean` `isOutputAsCData(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.
`Boolean` `isOutputAsText(com.fasterxml.jackson.databind.introspect.Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _intr

    protected final com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector _intr

### Constructor Detail

#### XmlAnnotationIntrospector.JaxbWrapper

    public XmlAnnotationIntrospector.JaxbWrapper(com.fasterxml.jackson.module.jaxb.JaxbAnnotationIntrospector i)

### Method Detail

#### findNamespace

    public String findNamespace(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method that can be called to figure out generic namespace property for an annotated object.

Specified by:
  `findNamespace` in interface `XmlAnnotationIntrospector`
Returns:
  Null if annotated thing does not define any namespace information; non-null namespace (which may be empty String) otherwise

#### isOutputAsAttribute

    public Boolean isOutputAsAttribute(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (as element)

Specified by:
  `isOutputAsAttribute` in interface `XmlAnnotationIntrospector`

#### isOutputAsText

    public Boolean isOutputAsText(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.

Specified by:
  `isOutputAsText` in interface `XmlAnnotationIntrospector`

#### isOutputAsCData

    public Boolean isOutputAsCData(com.fasterxml.jackson.databind.introspect.Annotated ann)

Description copied from interface: `XmlAnnotationIntrospector`
Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.

Specified by:
  `isOutputAsCData` in interface `XmlAnnotationIntrospector`